% Given values for the abstract variables and the drivers, calculates the
% actual value of the expansion.
% fe=fastestimate(P,vr,vl,D)
% P is a IIsym object
% vr is the list of variables used in P
% vl is the actual values of these variables
% D is a m x resolution matrix containing the drivers, one per row
% fe is a vector 1 x resolution.
% C.Ladroue

function fe=fastestimate(P,vr,vl,D)

P=instantiate(P,vr,vl);
P=toIIxp(P);
fe=estimate(P,D);

