% P=instantiate(P,L,V)
% replaces abstract variables L in P by actual values V
%
% . instantiate(P) displays the list of variables used by P. (same as
% findsym(P)
% . P=instantiate(P,{'a' 'd'},[ 1.5 2]) replaces variables a and b in P by 1.5
% and 2
% 
% C. Ladroue

function P=instantiate(varargin)

switch nargin
    case 1 
        L1=findsym(varargin{1});
        fprintf('\n Abstract variables used in this object: %s\n',L1);
    case 3
        P=varargin{1};
        P.Coef=subs(P.Coef,varargin{2},varargin{3});
        if ~isa(P.Coef,'IIsym'), P.Coef=sym(P.Coef); end;
    otherwise help('instantiate');
end;