% multiplication for IIxp objects
% that's the tricky bit, it implies shuffle product
%
% C.Ladroue

function R=mtimes(P,Q)
R=IIxp;

if ~isa(P,'IIxp'), 
    R=Q;
    R.Coef=R.Coef*P;
elseif ~isa(Q,'IIxp'),
    R=mtimes(Q,P);
else

R.MaxDepth=max(P.MaxDepth,Q.MaxDepth);
if P.MaxDepth~=Q.MaxDepth, 
    warning('IIxp plus: MaxDepths are different. I''m using the largest value.');
end;
    for i=1:length(P.Coef)
        for j=1:length(Q.Coef)
        if size(P.Pointer{i},2)+size(Q.Pointer{j},2)<=R.MaxDepth,
            lst=shuffle(P.Pointer{i},Q.Pointer{j});
            R.Pointer={R.Pointer{:} lst{:}};
            R.Coef=[R.Coef P.Coef(i)*Q.Coef(j)*ones(1,length(lst))];
        end;
        end;
        R=squeeze(R); % empirically, seems the best place for squeezing (faster and saves memory)
    end;
 
end;

R=setMaxDepth(R,R.MaxDepth);