% plus operation for IIxp objects
% simply summing up each coef
% by concatenation and squeezing
% C.Ladroue

function R=plus(P,Q)
warning_flag=0; % wether or not showing up a warning when cut-off points differ
R=IIxp;

if ~isa(P,'IIxp'), 
    R.Pointer={Q.Pointer{:} ''};
    R.Coef=[Q.Coef P];
    R.MaxDepth=Q.MaxDepth;
elseif ~isa(Q,'IIxp'),
    R=plus(Q,P);
else
    R.MaxDepth=max(P.MaxDepth,Q.MaxDepth);
    if (warning_flag) & (P.MaxDepth~=Q.MaxDepth), 
        warning('IIxp/+: MaxDepths are different. I''''m using the largest one.');
    end;
    R.Pointer={P.Pointer{:} Q.Pointer{:}};
    R.Coef=[P.Coef Q.Coef];
end;

R=squeeze(R);
R=setMaxDepth(R,R.MaxDepth);