% Constructor for multidimensional (extended) IIxp objects.
% With no parameter: 1 dimensional, with empty IIxp object of default
% MaxDepth
% With 1 paramater: either d dimensional, with default empty IIxp objects
% or populated with cell of IIxp objects.
% With 2 parameters d and m: d dimensional empty IIxp objects of MaxDepth m
%
% C.Ladroue

function P=IIxpxt(varargin)

switch nargin
    case 0, P.List={IIxp()};
    case 1, if isa(varargin{1},'double'),
                for k=1:varargin{1}
                    P.List{k}=IIxp();
                end;
        else
            P.List=varargin{1};
            end;
            
    case 2, if isa(varargin{1},'double'),
                for k=1:varargin{1}
                    P.List{k}=IIxp(varargin{2});
                end;
        else error('Both parameters must be integers (dimension and MaxDepth)');
        end;
                
    otherwise error('Requires 0,1 or 2 parameters');
end;

P=class(P,'IIxpxt');