% polynomial of a IIxpxt
% polynomial(P,multipolynomial)
% a multipolynomial is a matrix n x d+1, where n are the number of
% coefficients and d the dimensionality of P
% M(:,1:d) contains the powers of the monomials and M(:,d+1) the
% coefficients
% M=[0 0 1;0 2 -1;1 1 7; 1 2 -3] represents 1-x_2^2+7*x_1*x_2-3*x_1*x_2^2 
% the result is an IIxp
% C.Ladroue

function R=polynomial(P,M)

md=getMaxDepth(P);
R=IIxp(getMaxDepth(P));

[n dp1]=size(M);
d=dp1-1;
if ~isequal(M,0)
        for k=1:n
        Q=IIxp([],1,md);
        for j=1:d
            tmp=P.List{j};
            pw=M(k,j);
            Q=Q*(tmp^pw);
        end;
        R=R+M(k,d+1)*Q;
        end;
end;