% Picard Iteration for IIxpxt objects
% P=Picard_IIxpxt(X0,M,depth)
% Computes the II expansion for the (polynomial) problem set up by M, with
% initial value X0 and up to word length depth
% M is a cell of multi-polynomials, matrices nxdr+1, where n is the number
% of coefs and dr the number of drivers. See IIxpxt.polynomial
% C.Ladroue


function R=Picard_IIxpxt(X0,M,depth)

[d dr]=size(M);
R=IIxpxt(d,depth);

for k=1:depth
    P=R; % current value
    for i=1:d % for each dimension
        x=X0(i);
        for j=1:dr % evaluating and integrating for each driver
            tmp=polynomial(P,M{i,j});
            x=x+X(tmp,j);
        end;
        R(i)=x;
    end;

end;
