% recursive version of the shuffle product
% should probably be replaced by a non-recursive one, to be easy on the
% memory.
% works if P,Q are vectors or strings
% (actually, should be replaced by something much faster, possibly in C)
% >> s=shuffle([1 2],[3 4 5]);s{:}
% C.Ladroue

function R=shuffle(P,Q)
if isempty(Q),
    R={P};
elseif isempty(P),
    R={Q};
else
    R={};
    for k=0:length(P)
        m=[P(1:k) Q(1) P((k+1):end)];
        m1=m(1:(k+1));
        m2=m((k+2):end);
        T=shuffle(m2,Q(2:end));
        for i=1: length(T)
            T{i}=[m1 T{i}];
        end;
        R={R{:} T{:}};
    end;
end;

