echo on

%% test some functions of the object IIxp

%% set up a couple of IIxp's
a=IIxp([],1,[1],4,[2 1],5)
b=IIxp([],1,[1],-2,[2],3)


% display one particular coefficient of a
a([2 1])

% MaxDepth
% The maximum length of words for a is getMaxDepth(a). It can be changed with setMaxDepth.
getMaxDepth(a)

% a+b
a+b

% a-b
a-b

% a*b
a*b

% a^3
a^3

%% Polynomial
% Polynomials: 1+2*a+3*a^2-4*a^3 can be calculated as 
polynomial(a,[1 2 3 -4])

% Integration
X(a,[2 1])

% Picard Iteration
% Compute the expansion of the solution of dY=(1+2*Y-3Y^2)dt+(1+3Y)dW_t,
% y0=1
c=picard_poly(1,[1 2 -3],[0.1 0.3],5)

%% Instantiate
% Instantiate IIxp with some drivers. *** Requires II.c *** 
% See figure.

dt=1E-3;resolution=1E3;
Drivers=[dt*(0:resolution-1);[0 cumsum(randn(1,resolution-1)*sqrt(dt))]];
figure; subplot(1,2,1); plot(Drivers(1,:),Drivers'); 
xlabel('Drivers used (time and Brownian Motion)');
subplot(1,2,2); plot(Drivers(1,:),estimate(c,Drivers));
xlabel('Approximate solution of dY=(1+2Y-3Y^2)dt+(0.1+0.3Y)dW_t, y0=1');

echo off
