echo on

%% Testing some methods of IIxpxt

%% defining a 2D IIxpxt object.
p=IIxp([],1,[1],2,[1 2],3);
q=IIxp([],-1,[2 2],2,[2 1],5);
P=IIxpxt({p q})


% Dimensionality 
dim(P)

% Arithmetic
(P-2*P)+P

% Referencing and assigning
P(1)
P(1,[1 2])
P(:,[1 2])
q=q^2
P(2)=q

% polynomial
M=[0 0 1;1 1 -1;1 2 3;2 2 -4];
Q=polynomial(P,M)
R=1-P(1)*P(2)+3*P(1)*P(2)^2-4*P(1)^2*P(2)^2
Q-R

%% Picard Iteration
% Set up the SDE:
% dX1=-0.1X2dt+0.1dW1
% dX2=-0.2X1dt+0.5dW2
M=cell(2,3);
M{1,1}=[0 1 -0.1];
M{1,2}=[0 0 0.1];
M{1,3}=0;
M{2,1}=[1 0 -0.2];
M{2,2}=0;
M{2,3}=[0 0 0.5];

X0=[1;1];
R=Picard_IIxpxt(X0,M,5);

%% estimating
dt=1E-3;resolution=1E4;
Drivers=[dt*(0:resolution-1);...
    [0 cumsum(randn(1,resolution-1)*sqrt(dt))];...
    [0 cumsum(randn(1,resolution-1)*sqrt(dt))]
    ];
solution=estimate(R,Drivers);
plot(solution','.');
xlabel('time');
ylabel('X1, X2');
echo off